Pkgcheck Warnings

  • All Versions
    • UnstableOnly
      for arch: [ sparc ], all versions are unstable: [ 1.61.0-r2, 1.62.0 ]
  • 1.62.0
    • RequiredUseDefaults
      profile: 'default/linux/x86/17.0' (10 total) failed REQUIRED_USE: cpu_flags_x86_sse2
  • 1.61.0-r2
    • PythonCompatUpdate
      PYTHON_COMPAT update available: python3_11
    • RedundantVersion
      slot(stable) keywords are overshadowed by version: 1.62.0
    • RequiredUseDefaults
      profile: 'default/linux/x86/17.0' (10 total) failed REQUIRED_USE: cpu_flags_x86_sse2
  • 1.60.0
    • PythonCompatUpdate
      PYTHON_COMPAT update available: python3_11
    • RequiredUseDefaults
      profile: 'default/linux/x86/17.0' (20 total) failed REQUIRED_USE: cpu_flags_x86_sse2
  • 1.59.0
    • NonexistentDeps
      BDEPEND: nonexistent packages: =dev-lang/rust-1.58*, =dev-lang/rust-bin-1.58*
    • PythonCompatUpdate
      PYTHON_COMPAT update available: python3_11
    • RedundantVersion
      slot(stable) keywords are overshadowed by version: 1.60.0
    • RequiredUseDefaults
      profile: 'default/linux/x86/17.0' (20 total) failed REQUIRED_USE: cpu_flags_x86_sse2

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.